scala.tools.nsc.symtab.SymbolTrackers.SymbolTracker

# Node

#### class Node extends Hierarchy

Source
  SymbolTrackers.scala

Linear Supertypes
Hierarchy, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Node
2. Hierarchy
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Node(root: Global.Symbol, children: List[Hierarchy])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Node to any2stringadd[Node] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Node, B)

   Implicit information
     This member is added by an implicit conversion from Node to ArrowAssoc[Node] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def changedOwnerString: String

8. #### val children: List[Hierarchy]

   Definition Classes
     Node → Hierarchy

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (Node) ⇒ Boolean, msg: ⇒ Any): Node

    Implicit information
      This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Node) ⇒ Boolean): Node

    Implicit information
      This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Node

    Implicit information
      This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Node

    Implicit information
      This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def flagSummaryString: String

18. #### def flatten: Set[Global.Symbol]

    Definition Classes
      Node → Hierarchy

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Node to StringFormat[Node] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def indentString(indent: String): String

    Definition Classes
      Node → Hierarchy

23. #### def indicatorString: String

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def masked: Long

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### val root: Global.Symbol

    Definition Classes
      Node → Hierarchy

30. #### def symString(sym: Global.Symbol): String

    Definition Classes
      Node → Hierarchy

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      Hierarchy → AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (Node, B)

    Implicit information
      This member is added by an implicit conversion from Node to ArrowAssoc[Node] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Hierarchy

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Node to any2stringadd[Node]

### Inherited by implicit conversion StringFormat from Node to StringFormat[Node]

### Inherited by implicit conversion Ensuring from Node to Ensuring[Node]

### Inherited by implicit conversion ArrowAssoc from Node to ArrowAssoc[Node]

### Ungrouped